<?

define('_IN_JOHNCMS', 1);
$rootpath = '../../';
require_once ($rootpath."incfiles/core.php");
require_once ($rootpath."incfiles/head.php");
echo "<div class='phdr'>Получится ли из тебя писатель?</div>";


function form()
{
	$file = file_get_contents("temp/writer.tmp");
	$out = intval($file);
	echo '<form method="post" action="writer.php"><div class="gmenu">
Напиши глагол (муж.р., прош. вр.), можно так:<br/>
пил чай, пел песни, ковырял в носу и пр.<br/>
<input type="text" name="1" value=""/><br/>
Где это было?(лучше в квартире: на кухне, в спальне и пр.)<br/>
<input type="text" name="2" value=""/><br/>
Прилагательное (м.р.), напр. рыжий, мокрый, лысый и пр.<br/>
<input type="text" name="3" value=""/><br/>
Существительное (то есть слово, отвечающее на вопрос<br/>
кто? или что?, м.р., например, слон, трактор, Чубайс и т.д.)<br/>
<input type="text" name="4" value=""/><br/>
Предмет мебели:<br/>
<input type="text" name="5" value=""/><br/>
Существительное (м.р.):<br/>
<input type="text" name="6" value=""/><br/>
Куда?<br/>
<input type="text" name="7" value=""/><br/>
Что сделал?<br/>
<input type="text" name="8" value=""/><br/>
Существительное (м.р.)<br/>
<input type="text" name="9" value=""/><br/>
Предмет мебели (м.р.):<br/>
<input type="text" name="10" value=""/><br/>
Жидкость (в род. падеже: молока, бензина, пива и т.д.)<br/>
<input type="text" name="11" value=""/><br/>
Любое число:<br/>
<input type="text" name="12" value=""/><br/>
Существительное (м.р.):<br/>
<input type="text" name="13" value=""/></div>
<div class="bmenu">
<input type="submit" name="submit" value="Написать :)"/></div>
</form><div class="gmenu">
Написали: '.$out.' раз(a)</div>';
}


if(isset ($_POST['submit']))
{
	for($i = 1; $i < 14; $i++)
	{
		$text[$i] = functions :: checkout(mb_substr($_POST[$i], 0, 20), 1, 1);
	}
	$file = file_get_contents("temp/writer.tmp");
	$out = intval($file + 1);
	echo '<div class="gmenu">Однажды когда я '.$text[1].' '.$text[2].' '.$text[3].' '.$text[4].' свалился ко мне сквозь крышу. Он тут же прыгнул на '.$text[5].' и ударился о '.$text[6].'. Потом он побежал в '.$text[7].' и '.$text[8].' '.$text[9].' об '.$text[10].'. Он тогда схватил стакан '.$text[11].' со стола. После '.$text[12].' минут погони '.$text[4].' промчался через весь дом, но я наконец схватил его и выбросил на улицу. Он быстро вскарабкался на ближайший '.$text[13].'. </div>';
	//Запись
	$fp_send = fopen("temp/writer.tmp", "w");
	flock($fp_send, LOCK_EX);
	fputs($fp_send, $out);
	flock($fp_send, LOCK_UN);
	fclose($fp_send);
	chmod("temp/writer.tmp", 0666);
}
else
{
	echo '<div class="rmenu">Пишите вразумительные ответы, иначе результат не будет иметь смысла и вы зря потратите время.</div>';
	form();
}
echo '<div class="menu"><a href="../?act=send">Еще письма</a><br /><a href="../?">В раздел</a></div>';
require_once ($rootpath."incfiles/end.php");

?>